package com.pinwang.ailinkblesdk.modules.smart_cycling_table

/**
 * 卫星豆
 * @author xing
 * @date 2025/03/08
 * @constructor 创建[SatelliteBean]
 */
class SatelliteBean {

    var id = ""

    /** 仰角 */
    var llevation = ""
    var azimuth = ""
    var rssi = ""

    fun init(msg: Array<String>) {
        id = msg[0]
        llevation = msg[1]
        azimuth = msg[2]
        rssi = msg[3]
    }


    //复制对象
    fun copy(): SatelliteBean {
        val bean = SatelliteBean().also {
            it.id = id
            it.llevation = llevation
            it.azimuth = azimuth
            it.rssi = rssi
        }
        return bean
    }

    override fun toString(): String {
        return "SatelliteBean(id='$id', llevation='$llevation', azimuth='$azimuth', rssi='$rssi')"
    }


}